Subject: bug#32068: obsolescense of #+CATEGORY on org-mode 9.x

From: andrés ramírez <[email-masked]>
Date: Mon, 09 Jul 2018 15:03:07 +0000

Hi Nicolas.
> > ¿What would have been the way a user should discover this incompatibility
> > or obsolescense of the "#+CATEGORY"?.
> 
> I would suggest that user to read the releases notes, located in
> ORG-NEWS files, in particular the "Incompatible changes" sections.
> 
> This particular change was announced in Org 8.3.
> 
> Also, this feature (multiple CATEGORY keywords) was strongly deprecated,
> as pointed out in the old manual, since Org 5.14 (2008).

I see. Something is missing on that comment "Use org-lint for a hint
about how to modify your agenda file".

/usr/share/emacs/26.1/etc/ORG-NEWS

emacs 25.1 has org-version 8.2.10

Debian still have 24.5 as default emacs on debian strech. So this issue
is going to arise again in the future. So just for the notice of future
users.

this:
--8<---------------cut here---------------start------------->8---
#+CATEGORY: world cup
--8<---------------cut here---------------end--------------->8---

should be changed to:
--8<---------------cut here---------------start------------->8---
** world cup (not showed on agenda view)
    :PROPERTIES:
    :CATEGORY: world cup
    :END:
--8<---------------cut here---------------end--------------->8---

Regards